WPSRowFormat Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
WPSRowFormat Struct Reference

`#include <WPSTable.h>`

## Public Member Functions
| WPSRowFormat (float height=-1)
| constructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
int | compare (WPSRowFormat const &row) const
| a comparison function More...
bool | operator== (WPSRowFormat const &row) const
| operator== More...
bool | operator!= (WPSRowFormat const &row) const
| operator!= More...
bool | operator< (WPSRowFormat const &row) const
| operator< More...

## Public Attributes
float | m_height
| the row height, if known More...
bool | m_isMinimalHeight
| a flag to know if the height is only a minimum More...
bool | m_useOptimalHeight
| a flag to know if we need to see use-optimal row height More...
bool | m_isHeader
| a flag to know if the row is a header row More...

## Friends
std::ostream & | operator<< (std::ostream &o, WPSRowFormat const &row)
| operator<< More...

## Constructor & Destructor Documentation

## ◆ WPSRowFormat()

WPSRowFormat::WPSRowFormat | ( | float | height = `-1` | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ addTo()

void WPSRowFormat::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

Referenced by WKSContentListener::openSheetRow().

## ◆ compare()

int WPSRowFormat::compare | ( | WPSRowFormat const & | row | ) | const
| inline

a comparison function

Referenced by operator!=(), operator<(), and operator==().

## ◆ operator!=()

bool WPSRowFormat::operator!= | ( | WPSRowFormat const & | row | ) | const
| inline

operator!=

## ◆ operator<()

bool WPSRowFormat::operator< | ( | WPSRowFormat const & | row | ) | const
| inline

operator<

## ◆ operator==()

bool WPSRowFormat::operator== | ( | WPSRowFormat const & | row | ) | const
| inline

operator==

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSRowFormat const & | row
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_height

float WPSRowFormat::m_height

the row height, if known

Referenced by addTo(), compare(), and operator<<().

## ◆ m_isHeader

bool WPSRowFormat::m_isHeader

a flag to know if the row is a header row

Referenced by addTo(), compare(), and operator<<().

## ◆ m_isMinimalHeight

bool WPSRowFormat::m_isMinimalHeight

a flag to know if the height is only a minimum

Referenced by addTo(), compare(), LotusSpreadsheetInternal::Spreadsheet::compressRowHeights(), LotusSpreadsheetInternal::Spreadsheet::getRowHeight(), and operator<<().

## ◆ m_useOptimalHeight

bool WPSRowFormat::m_useOptimalHeight

a flag to know if we need to see use-optimal row height

Referenced by addTo(), compare(), operator<<(), and LotusSpreadsheet::readCellsFormat801().

The documentation for this struct was generated from the following files:

- WPSTable.h
- WPSTable.cpp